> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sign-up customers for a specific date

> Returns a paginated list of customers who registered via the specified sign-up page on a given date.



## OpenAPI

````yaml openapi/openapi.json get /api/signup-pages/{id}/customers
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/signup-pages/{id}/customers:
    get:
      tags:
        - Signup Pages
      summary: Get sign-up customers for a specific date
      description: >-
        Returns a paginated list of customers who registered via the specified
        sign-up page on a given date.
      operationId: getSignUpSummary
      parameters:
        - name: id
          in: path
          description: Sign-up Page ID
          required: true
          schema:
            type: integer
        - name: date
          in: query
          description: Date of registration (YYYY-MM-DD)
          required: true
          schema:
            type: string
            format: date
        - name: per_page
          in: query
          description: Number of results per page (pagination)
          required: false
          schema:
            type: integer
            default: 10
        - name: page
          in: query
          description: 'Page number to retrieve (default: 1)'
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: List of customers
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: 123
                        CID:
                          type: string
                          example: CID-00123
                        name:
                          type: string
                          example: John
                        email:
                          type: string
                          example: john@gmail.com
                        url:
                          type: string
                        number_range_id:
                          type: integer
                        marketing_opt_in_at:
                          type: string
                          format: date-time
                          example: '2025-05-30T12:10:00Z'
                      type: object
                  links:
                    type: object
                  meta:
                    type: object
                type: object
        '404':
          description: Sign-up page not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: The given Sign-up ID not found.
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation Error
                  errors:
                    properties:
                      date:
                        type: array
                        items:
                          type: string
                          example: The date field is required.
                    type: object
                type: object
        '500':
          description: Server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Failed to retrieve sign-up summary.
                type: object
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````